Bug 70362 - db_recover never finishes
Summary: db_recover never finishes
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: db4   
(Show other bugs)
Version: 1.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 67218
TreeView+ depends on / blocked
 
Reported: 2002-07-31 20:02 UTC by Blair Zajac
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-14 03:58:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch from Sleepycat (835 bytes, patch)
2002-07-31 20:02 UTC, Blair Zajac
no flags Details | Diff

Description Blair Zajac 2002-07-31 20:02:14 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; .NET CLR 
1.0.3705)

Description of problem:
On some db4 databases, running db_recover -ve -h PATH never finishes.
I've sent this bug to Sleepycat and they have a one line patch for
the fix, which I'll attach in a minute.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Download
   /export/home1/apache/rothschildimage/forsale/svn-orcaware-144-repos.tar.bz2
2. Extract the tar.
3. Run db_recover -ve -h on the db directory.  It'll never finish
   and strace shows a selects sleeping forever.
	

Additional info:

Comment 1 Blair Zajac 2002-07-31 20:02:45 UTC
Created attachment 68064 [details]
Patch from Sleepycat

Comment 2 Nalin Dahyabhai 2002-08-14 03:58:06 UTC
Added to db4-4.0.14-13 and later.  Thanks!

Comment 3 Jay Turner 2002-09-03 19:29:41 UTC
Fix confirmed with db4-4.0.14-14.


Note You need to log in before you can comment on or make changes to this bug.